Package org.apache.commons.dbutils

# Class AsyncQueryRunner.UpdateCallableStatement

java.lang.Object
org.apache.commons.dbutils.AsyncQueryRunner.UpdateCallableStatement

All Implemented Interfaces:
  `Callable<Integer>`

Enclosing class:
  AsyncQueryRunner

@Deprecated protected class AsyncQueryRunner.UpdateCallableStatement extends Object implements Callable<Integer>
Deprecated.
No longer used by this class. Will be removed in a future version. Class that encapsulates the continuation for update calls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateCallableStatement(Connection conn, boolean closeConn, PreparedStatement ps, String sql, Object... params)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `call()`
  Deprecated.
  The actual call to `executeUpdate()` method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateCallableStatement

    public UpdateCallableStatement(Connection conn, boolean closeConn, PreparedStatement ps, String sql, Object... params)
    Deprecated.
    Parameters:
      `conn` - The connection to use for the batch call.
      `closeConn` - True if the connection should be closed, false otherwise.
      `ps` - The `PreparedStatement` to be executed.
      `sql` - The SQL statement to execute.
      `params` - An array of query replacement parameters. Each row in this array is one set of batch replacement values.

- ## Method Details

  - ### call

    public Integer call() throws SQLException
    Deprecated.
    The actual call to `executeUpdate()` method.
    Specified by:
      `call` in interface `Callable<Integer>`
    Returns:
      either (1) the row count for SQL Data Manipulation Language (DML) statements or (2) 0 for SQL statements that return nothing
    Throws:
      `SQLException` - if a database access error occurs.
    See Also:
      - `PreparedStatement.executeUpdate()`